OpenCV: cv::BaseCascadeClassifier Class Reference

| OpenCV 3.4.2 Open Source Computer Vision

Classes | Public Member Functions | List of all members
cv::BaseCascadeClassifier Class Referenceabstract
Object Detection

`#include "objdetect.hpp"`

Inheritance diagram for cv::BaseCascadeClassifier:

## Classes
class | MaskGenerator

## Public Member Functions
virtual | ~BaseCascadeClassifier ()
virtual void | detectMultiScale (InputArray image, std::vector< Rect > &objects, double scaleFactor, int minNeighbors, int flags, Size minSize, Size maxSize)=0
virtual void | detectMultiScale (InputArray image, std::vector< Rect > &objects, std::vector< int > &numDetections, double scaleFactor, int minNeighbors, int flags, Size minSize, Size maxSize)=0
virtual void | detectMultiScale (InputArray image, std::vector< Rect > &objects, std::vector< int > &rejectLevels, std::vector< double > &levelWeights, double scaleFactor, int minNeighbors, int flags, Size minSize, Size maxSize, bool outputRejectLevels)=0
virtual bool | empty () const CV_OVERRIDE=0
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read. More...
virtual int | getFeatureType () const =0
virtual Ptr< MaskGenerator > | getMaskGenerator ()=0
virtual void * | getOldCascade ()=0
virtual Size | getOriginalWindowSize () const =0
virtual bool | isOldFormatCascade () const =0
virtual bool | load (const String &filename)=0
virtual void | setMaskGenerator (const Ptr< MaskGenerator > &maskGenerator)=0
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state. More...
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage. More...
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage. More...
void | write (const Ptr< FileStorage > &fs, const String &name=String()) const
| simplified API for language bindings This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...

## Additional Inherited Members
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file. More...
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String. More...
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node. More...
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Constructor & Destructor Documentation

## ◆ ~BaseCascadeClassifier()

virtual cv::BaseCascadeClassifier::~BaseCascadeClassifier | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ detectMultiScale() [1/3]

virtual void cv::BaseCascadeClassifier::detectMultiScale | ( | InputArray | image,
|  | std::vector< Rect > & | objects,
|  | double | scaleFactor,
|  | int | minNeighbors,
|  | int | flags,
|  | Size | minSize,
|  | Size | maxSize
| ) |  |
| pure virtual

## ◆ detectMultiScale() [2/3]

virtual void cv::BaseCascadeClassifier::detectMultiScale | ( | InputArray | image,
|  | std::vector< Rect > & | objects,
|  | std::vector< int > & | numDetections,
|  | double | scaleFactor,
|  | int | minNeighbors,
|  | int | flags,
|  | Size | minSize,
|  | Size | maxSize
| ) |  |
| pure virtual

## ◆ detectMultiScale() [3/3]

virtual void cv::BaseCascadeClassifier::detectMultiScale | ( | InputArray | image,
|  | std::vector< Rect > & | objects,
|  | std::vector< int > & | rejectLevels,
|  | std::vector< double > & | levelWeights,
|  | double | scaleFactor,
|  | int | minNeighbors,
|  | int | flags,
|  | Size | minSize,
|  | Size | maxSize,
|  | bool | outputRejectLevels
| ) |  |
| pure virtual

## ◆ empty()

virtual bool cv::BaseCascadeClassifier::empty | ( |  | ) | const
| pure virtual

Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read.

Reimplemented from cv::Algorithm.

## ◆ getFeatureType()

virtual int cv::BaseCascadeClassifier::getFeatureType | ( |  | ) | const
| pure virtual

## ◆ getMaskGenerator()

virtual Ptr<MaskGenerator> cv::BaseCascadeClassifier::getMaskGenerator | ( |  | ) |
| pure virtual

## ◆ getOldCascade()

virtual void* cv::BaseCascadeClassifier::getOldCascade | ( |  | ) |
| pure virtual

## ◆ getOriginalWindowSize()

virtual Size cv::BaseCascadeClassifier::getOriginalWindowSize | ( |  | ) | const
| pure virtual

## ◆ isOldFormatCascade()

virtual bool cv::BaseCascadeClassifier::isOldFormatCascade | ( |  | ) | const
| pure virtual

## ◆ load()

virtual bool cv::BaseCascadeClassifier::load | ( | const String & | filename | ) |
| pure virtual

## ◆ setMaskGenerator()

virtual void cv::BaseCascadeClassifier::setMaskGenerator | ( | const Ptr< MaskGenerator > & | maskGenerator | ) |
| pure virtual

The documentation for this class was generated from the following file:

- objdetect/include/opencv2/objdetect.hpp